/* +++++++++ cart +++++++++ */
.woocommerce-cart-form__cart-item {
    display: flex;
    gap: 24px clamp(12px, 2vw, 24px);
    align-items: center;
    border-radius: 12px;
    padding: clamp(16px, 2vw, 24px);
    background: var(--nature2);
    margin-bottom: 20px;
    font-size: clamp(12px, 2vw, 14px);
    flex-wrap: wrap;
    & .cart-img {
        flex: 0 0 20%;
        max-width: 20%;
        & .product-thumbnail-w {
            display: flex;
            align-items: center;
            justify-content: center;
            background: #f7f7f7;
            border-radius: 11px;
            border: 1px solid var(--line);
            & img {
                margin: 0;
            }
        }
    }
    .prd-cart-rc {
        display: flex;
        align-items: center;
        margin-top: 10px;
        .remove {
            display: flex;
            align-items: center;
            color: var(--danger);
            font-size: 13px;
            margin-right: 10px;
            line-height: 1;
            i {
                margin-left: 7px;
                font-size: 19px;
            }
            &:hover {
                color: darkred;
            }
        }
        .quantity input::-webkit-outer-spin-button,
        .quantity input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }
    }
    &:last-of-type {
        margin-bottom: 0;
    }
    & .product-item-title {
        font-size: clamp(18px, 2vw, 14px) !important;
        font-family: var(--Medium);
    }
    & .woocommerce-cart-form-price-box {
        background: var(--nature);
        border-radius: 8px;
        padding: clamp(12px, 2vw, 18px);
        align-self: center;
        margin-right: auto;
        flex: 0 0 30%;
        & .product-price {
            display: flex;
            justify-content: center;
            text-decoration: none !important;
            flex-direction: column;
            align-items: flex-start;
            color: #252525;
            position: relative;
            float: none;
            width: fit-content;
            padding-right: 46px;
            margin-right: auto;
            font-family: var(--Regular);
            del {
                color: var(--gray);
                font-size: 14px !important;
                line-height: 14px;
                bdi {
                    .woocommerce-Price-currencySymbol {
                        display: none;
                    }
                }
            }
            ins {
                font-size: clamp(14px, 2vw, 16px) !important;
                line-height: 32px;
                text-decoration: none;
                .woocommerce-Price-currencySymbol {
                    font-size: 14px;
                }
            }
            .on-sale {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                right: 0;
                font-size: 16px;
                display: flex;
                align-items: center;
                justify-content: center;
                color: var(--black);
                background: var(--color2);
                width: 36px;
                height: 46px;
                border-radius: 8px;
            }
        }
        & .product-subtotal {
            display: flex;
            align-items: center;
            justify-content: space-between;
            border-top: 1px solid var(--line);
            padding-top: 12px;
            margin-top: 12px;
        }
        .product-price > .woocommerce-Price-amount {
            display: flex;
            width: 100%;
            align-items: center;
            justify-content: space-between;
            flex-direction: row-reverse;
        }
        .product-price > .amount,
        .product-subtotal > .amount {
            font-size: clamp(14px, 2vw, 16px) !important
        }
    }
}
.cart-collaterals {
    .woocommerce-shipping-totals.shipping {
        margin-bottom: 16px;
    }
    .woocommerce-cart-form-left-box {
        border-radius: 16px;
        padding: clamp(16px, 2vw, 24px);
        display: flex;
        flex-direction: column;
        justify-content: center;
        background: var(--color1);
        color: var(--white);
        .cart-subtotal {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
        .order-total {
            display: flex;
            align-items: center;
            justify-content: space-between;
            border-top: 1px solid var(--line);
            padding-top: 16px;
            margin-block: 16px;
        }
        & .woocommerce-Price-amount.amount {
            color: var(--white);
            font-family: var(--Regular);
        }
        & .woocommerce-Price-currencySymbol:before {
            color: var(--white);
        }
    }
}
@media only screen and (min-width: 768px) {
    .cart-img {
        flex: 0 0 12%;
        max-width: 12%;
    }
    .woocommerce-cart-form__cart-item {
        flex-wrap: nowrap;
    }
}
.woocommerce-shipping-methods input[type="radio"]:checked ~ label:before,
#payment input[type="radio"]:checked ~ label:before,
#customer-type_haghighi:checked ~ label[for=customer-type_haghighi].radio:before,
#customer-type_hoghooghi:checked ~ label[for=customer-type_hoghooghi].radio:before,
.woocommerce-checkout-review-order .wc_payment_methods li input[type="radio"]:checked ~ label:before {
    opacity: 1;
    background-position: 0 0;
}
.woocommerce-form__label-for-checkbox span:before,
.editor-content .woocommerce-shipping-methods li label:before,
#customer-type_field .woocommerce-input-wrapper label:before,
.woocommerce-checkout-review-order .wc_payment_methods li label:before {
    content: "";
    height: 16px;
    width: 16px;
    display: inline-block;
    margin: auto 0;
    padding-right: 0;
    border: 1px solid var(--white);
    background: radial-gradient(var(--white) 50%, #000 50%);
    background-position: 14px 0;
    background-repeat: no-repeat;
    border-radius: 50%;
    -webkit-transition: opacity 0.5s ease;
    -moz-transition: opacity 0.5s ease;
    -o-transition: opacity 0.5s ease;
    transition: opacity 0.5s ease;
}
.cart-form-methods-box {
    .form-methods-box-title {
        width: 100%;
        position: relative;
        color: var(--white);
        font-family: var(--Medium);
        font-size: clamp(14px, 2vw, 18px);
        border-bottom: 1px solid var(--line);
        padding-bottom: 16px;
        margin-bottom: 16px;
    }
    #shipping_method {
        margin: 0;
        display: flex;
        gap: 14px;
        & li {
            margin: 0;
            input {
                cursor: pointer;
                z-index: 1;
                opacity: 0;
                display: none;
            }
            label {
                color: var(--white);
                padding-right: 30px;
                width: 100%;
                display: inline-flex !important;
                align-items: baseline;
                position: relative;
                background: transparent;
                gap: 10px;
                margin: 0 !important;
                padding: 0 !important;
                cursor: pointer;
                font-size: 14px;
            }
            span bdi .woocommerce-Price-currencySymbol:before,
            span bdi {
                color: var(--gray1);
            }
        }
    }
}
#place_order,
.wc-proceed-to-checkout .button {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--color3);
    color: var(--black);
    border-radius: 100px;
    width: 100%;
    transition: 0.4s;
    border: 0;
    font-family: var(--Medium);
    margin-top: 24px;
    &:hover {
        background: var(--color2);
        color: white;
    }
}
#place_order {
    background: var(--color1);
    color: var(--white);
    &:hover {
        background: var(--color2);
        color: white;
    }
}
@media only screen and (max-width: 768px) {
    .wc-proceed-to-checkout .button,
    #place_order {
        position: fixed;
        bottom: 0;
        right: 0;
        z-index: 2;
        margin-bottom: 0;
        font-size: 16px;
        border-radius: 16px 16px 0 0 !important;
        min-height: 60px;
    }
}
/* -------------------- Checkout -------------------- */
.checkout_coupon.woocommerce-form-coupon {
    padding: 1rem;
    border-radius: 12px;
    background: var(--nature2);
    display: flex !important;
    margin: auto;
    align-items: center;
    flex-wrap: wrap;
    gap: 12px;
    p {
        margin: 0 !important;
    }
    #coupon_code {
        height: 46px;
        border-radius: 10px;
        padding: 8px !important;
        background: white;
    }
    .checkout.woocommerce-checkout {
        margin-top: 20px;
    }
    .clear {
        clear: both;
    }
    p:not(.form-row) {
        margin-bottom: 10px;
    }
    #coupon-error-notice {
        font-size: 12px;
    }
    .coupon-label {
        white-space: nowrap;
    }
    .coupon-fields {
        display: flex;
        align-items: center;
        gap: 10px;
        white-space: nowrap;
        margin-right: auto;
        .button {
            min-width: 125px;
            gap: 5px;
            height: 46px;
            font-size: 14px;
            border-radius: 12px;
            display: flex;
            align-items: center;
            justify-content: center;
            background: var(--color1);
            width: 100%;
            transition: 0.4s;
            color: white;
            border: 0;
            font-family: var(--SemiBold);
            &:hover {
                background: var(--color2);
                color: var(--black);
            }
        }
    }
}
.checkout.woocommerce-checkout {
    .checkout_shipping_box,
    .checkout_billing_box {
        display: flex;
        gap: 24px clamp(12px, 2vw, 24px);
        align-items: center;
        border-radius: 12px;
        padding: clamp(16px, 2vw, 24px);
        background: var(--nature2);
        margin-bottom: 20px;
    }
    .checkout_billing_box {
        input {
            background: var(--white);
        }
        .select2-container--default .select2-selection--single {
            border: 1px solid #e1e1e1;
            padding: 15px 9px;
            height: 60px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            position: absolute;
            width: 3rem;
            height: 3rem;
            left: 0;
            font-size: 12px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
        }
        .select2-container--open .select2-selection__arrow:before {
            transform: rotateX(180deg);
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow b {
            display: none;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow:before {
            content: '\e919';
            font-family: 'icomoon';
            position: absolute;
            width: 3rem;
            height: 3rem;
            left: 0;
            font-size: 12px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            transition: 0.4s;
        }
    }
    .checkout_shipping_box {
        .woocommerce-additional-fields {
            margin-top: 15px;
            width: 100%;
        }
    }
    .woocommerce-shipping-fields__field-wrapper,
    .woocommerce-billing-fields__field-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        gap: 12px 0;
        label {
            top: -11px;
            font-size: 15px;
            line-height: 1;
            display: inline-flex !important;
            padding-right: 1rem;
        }
    }
    .form-row {
        width: 100%;
        clear: both;
        position: relative;
        z-index: 0;
    }
    #billing_country_field, #shipping_country_field {
        display: none;
    }
    #order_comments_field,
    #billing_address_1_field,
    #billing_postcode_field {
        width: 100% !important;
    }
}
#order_review {
    position: sticky;
    position: -webkit-sticky;
    top: 20px;
    z-index: 1;
    .checkout-review-order-wrap {
        margin-bottom: 24px;
        & .cart_item-review {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            gap: 10px;
            align-items: center;
            border-radius: 12px;
            padding: clamp(10px, 2vw, 16px);
            background: var(--nature);
            margin-bottom: 20px;
            .cart_item-review-image {
                flex: 0 0 20%;
                background: #fff;
                border-radius: 8px;
                border: 1px solid var(--line);
                flex: 0 0 25%;
                img {
                    margin: 0 !important;
                    border-radius: 8px;
                }
            }
            & .product-meta-checkout {
                line-height: 1.8;
                margin-bottom: 0;
                font-size: clamp(14px, 2vw, 16px);
                font-family: var(--Medium);
                color: var(--black);
            }
            & .product-total {
                font-size: 14px;
                .span.woocommerce-Price-currencySymbol {
                    font-size: 12px;
                }
            }
        }
        .cart_item-review_top {
            display: flex;
            align-items: center;
            gap: 10px;
        }
        .cart_item-review.cart_item .product-name {
            flex: 0 0 70%;
        }
        .cart_item-review.cart_item .product-total {
            flex: 0 0 20%;
        }
    }
    .cart-subtotal,
    .order-total {
        background-color: var(--color1);
        margin-bottom: 24px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 12px clamp(16px, 2vw, 24px);
        border-radius: 12px;
        margin-block: 24px;
        color: white;
        font-family: var(--Medium);
    }
    .woocommerce-shipping-totals.shipping {
        border-radius: 16px;
        padding: clamp(16px, 2vw, 24px);
        display: flex;
        flex-direction: column;
        justify-content: center;
        background: var(--color1);
        color: var(--white);
    }
    #payment {
        display: flex;
        border-radius: 12px;
        padding: clamp(16px, 2vw, 24px);
        background: var(--nature2);
        flex-direction: column;
        margin-block: 24px;
        ul {
            margin: 0;
            li {
                border-bottom: 1px solid var(--line);
                padding-bottom: 18px;
                margin: 0 0 18px;
                user-select: none;
                &:before {
                    display: none;
                }
                input {
                    cursor: pointer;
                    z-index: 1;
                    opacity: 0;
                    display: none;
                }
                label {
                    cursor: pointer;
                    margin-bottom: 0;
                    vertical-align: middle;
                    display: inline-flex !important;
                    align-items: center;
                    position: relative;
                    background: transparent;
                    gap: 8px;
                    margin: 0 !important;
                    padding: 0 !important;
                    font-size: 16px !important;
                    color: #252525 !important;
                    z-index: 0;
                }
                .payment_box {
                    background: #fff;
                    padding: 6px 12px;
                    border-radius: 6px;
                    margin-top: 12px;
                    color: #777;
                    & p {
                        font-size: 12px;
                        line-height: 26px;
                        margin: 0;
                    }
                }
            }
        }
        .woocommerce-terms-and-conditions-wrapper {
            background: #fff;
            padding: 6px 12px;
            border-radius: 6px;
            color: #777;
            & p {
                font-size: 12px;
                line-height: 26px;
                margin: 0;
            }
        }
        .form-row {
            width: 100%;
        }
    }
}
.delivery-wrapper .title, #ship-to-different-address,
.woocommerce-additional-fields > h3,
.woocommerce-billing-fields > h3 {
    width: 100%;
    position: relative;
    font-family: var(--Medium);
    font-size: clamp(14px, 2vw, 18px);
    border-bottom: 1px solid var(--line);
    padding-bottom: 8px;
    margin-bottom: 20px;
    text-align: center;
}
.woocommerce-additional-fields__field-wrapper textarea {
    border: 1px solid #e1e1e1;
    background: #fff;
}
@media only screen and (min-width: 768px) {
    .checkout.woocommerce-checkout .form-row {
        width: 48%;
    }
}
@media only screen and (max-width: 768px) {
    .checkout-points-form .wrapper span,
    .coupon-fields {
        margin-right: 0;
        width: -webkit-fill-available;
    }
}
#customer-type_field .woocommerce-input-wrapper label:before,
.woocommerce-checkout-review-order .wc_payment_methods li label:before {
    content: "";
    height: 16px;
    width: 16px;
    display: inline-block;
    margin: auto 0;
    padding-right: 0;
    border: 1px solid var(--color1);
    background: radial-gradient(var(--color1) 50%, #fff 50%);
    background-position: 14px 0;
    background-repeat: no-repeat;
    border-radius: 50%;
    -webkit-transition: opacity 0.5s ease;
    -moz-transition: opacity 0.5s ease;
    -o-transition: opacity 0.5s ease;
    transition: opacity 0.5s ease;
}
.woocommerce-form__label-for-checkbox input[type="checkbox"]:checked + span:before,
.woocommerce-form__label-for-checkbox input[type="checkbox"]:checked + span:after {
    opacity: 1;
}
.woocommerce-form__label-for-checkbox span:before {
    border-radius: 0;
}
.woocommerce-form__label-for-checkbox span {
    position: relative;
    display: flex;
    gap: 10px;
    cursor: pointer;
}
/* -------------------- Checkout -------------------- */
.cart-empty-page-top {
    border-radius: 32px;
    padding: clamp(16px, 2vw, 24px);
    background: var(--nature2);
    img {
        display: block;
        margin-inline: auto;
        max-width: 200px;
        margin-bottom: clamp(32px, 4vw, 48px);
    }
    .cart-empty-top-sub {
        text-align: center;
        color: var(--danger);
        font-size: 20px;
    }
}
/* --------------------Cart & Checkout -------------------- */
.delivery-wrapper .description {
    color: #3698ff;
    width: 100%;
    background: #d8edff;
    border: 1px solid;
    border-radius: 5px;
    text-align: center;
    padding: 0 5px;
}
#customer-type_field .woocommerce-input-wrapper input,
.woocommerce-checkout-review-order .wc_payment_methods li input,
#ship-to-different-address input {
    cursor: pointer;
    z-index: 1;
    opacity: 0;
    display: none;
}
.woocommerce-form__label-for-checkbox span:after {
    position: absolute;
    border-bottom: 2px solid var(--color1);
    border-right: 2px solid var(--color1);
    content: "";
    width: 6px;
    height: 12px;
    right: 3px;
    top: calc(50% - 8px);
    opacity: 0;
    -webkit-transform: rotate(40deg);
    -moz-transform: rotate(40deg);
    -ms-transform: rotate(40deg);
    -o-transform: rotate(40deg);
    transform: rotate(40deg);
    -webkit-transition: opacity 0.5s ease;
    -moz-transition: opacity 0.5s ease;
    -o-transition: opacity 0.5s ease;
    transition: opacity 0.5s ease;
}
#customer-type_field .woocommerce-input-wrapper label:before {
    position: unset;
    margin-left: 5px;
}
#billing_country_field,
#shipping_country_field {
    display: none;
}
.cart-empty.woocommerce-info {
    margin-bottom: 20px;
}
.return-to-shop {
    text-align: center !important;
}
table.shop_table {
    border-collapse: collapse;
    border: 1px solid #eee;
    border-bottom: 2px solid #223657;
    width: 100%;
    background: #fff;
}
.woocommerce-shipping-destination {
    text-align: center !important;
}
table.shop_table th,
table.shop_table td {
    color: #222;
    border: 1px solid #eee;
    border-collapse: collapse;
    vertical-align: middle;
    text-align: center;
}
table.shop_table td {
    padding: 5px 10px;
}
table.shop_table th {
    background: #f9f9f9;
    color: #223657 !important;
    text-transform: uppercase;
    font-weight: bold;
    border: none !important;
    padding: 15px;
}
table.shop_table .actions {
    display: none !important;
}
.product-remove a {
    background: transparent;
    border: none !important;
    position: relative;
    top: 2px;
    color: var(--danger) !important;
    background: transparent !important;
    font-size: 25px;
}
.product-thumbnail img {
    max-width: 70px;
    border: 1px solid #eee;
}
.cart-collaterals h2 {
    display: none;
}
.wc-item-meta li strong {
    margin-left: 5px;
}
.wc-item-meta li {
    display: flex;
    flex-grow: 1;
    justify-content: center;
    padding: 0 5px;
}
.wc-item-meta {
    display: flex;
    flex-wrap: wrap;
}
/*
Checkout
 */
.shop_table .product-name .variation {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    font-size: 13px;
}
.shop_table .product-name .variation dt {
    flex: 0 0 60%;
    max-width: 60%;
    display: flex;
    line-height: 2;
}
.shop_table .product-name .variation dd {
    line-height: 2;
}
.wc_payment_methods.payment_methods.methods li:not(:nth-last-child(1)) {
    margin: 0 0 1rem !important;
    border-bottom: 1px solid var(--gray4);
    padding: 0 !important;
    padding-bottom: 1rem !important;
}
.woocommerce-Price-currencySymbol:before {
    font-size: 12px !important;
}
#order_review_heading {
    display: none;
}
.delivery-wrapper {
    display: flex;
    margin-bottom: 15px;
    flex-direction: column;
}
.delivery-wrapper .title {
    flex: 100%;
}
.delivery-wrapper select {
    background: #fff;
    border: 1px solid #e1e1e1;
    border-radius: 6px;
    height: 60px;
    cursor: pointer;
}
ul.woocommerce-error li {
    margin: 5px 0;
}
@media screen and (min-width: 768px) {
    table.shop_table td.product-quantity .quantity {
        max-width: 150px;
        margin: 0 auto;
    }
}
table.shop_table td {
    padding: 10px;
}
ul.order_details .woocommerce-Price-currencySymbol:before {
    color: var(--gray4);
}
ul.order_details {
    padding: clamp(16px, 2vw, 24px);
    border-radius: 1rem;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    background: var(--nature2);
}
@media screen and (max-width: 576px) {
    ul.order_details {
        display: block;
    }
}
/* --------------------
My account
-------------------- */
.not-login {
    text-align: center;
}
.not-login a {
    color: #fff;
    font-family: var(--bold_font);
    background: var(--color1);
    padding: 0px 15px;
    border-radius: 3px;
    padding: 2px 15px;
}
.not-login a:hover {
    background: var(--color2);
}
.woocommerce-LostPassword.lost_password a {
    display: block;
    border-radius: 5px;
    padding: 10px;
    text-align: center;
    margin-bottom: 30px;
    background: #f9f9f9;
    color: var(--color2);
}
.sendsms {
    margin-bottom: 10px;
}
.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link {
    margin: 20px 0;
}
.woocommerce-MyAccount-navigation {
    background: #f5f5f5;
    padding: 10px 20px;
    border-radius: 5px;
    margin-bottom: 30px;
    height: max-content;
    position: sticky;
    top: 0;
}
.woocommerce-MyAccount-navigation a {
    display: block;
    color: var(--bg-footer);
    background: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 16px;
    box-shadow: 0 5px 10px #22222217;
    text-align: center;
}
.woocommerce-MyAccount-navigation li:last-child a {
    margin-bottom: 0;
}
.woocommerce-MyAccount-navigation a:hover {
    color: var(--color1);
}
.woocommerce-MyAccount-navigation .is-active a {
    background: var(--color1);
    color: #fff;
}
.woocommerce-MyAccount-navigation ul {
    position: sticky;
    position: -webkit-sticky;
    top: 20px;
}
.woocommerce-MyAccount-content mark {
    background: var(--color1);
    color: #fff;
}
.woocommerce-Address-title.title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #f5f5f5;
    padding: 15px;
    border-radius: 5px;
    margin-bottom: 15px;
}
.woocommerce-pagination.woocommerce-pagination--without-numbers.woocommerce-Pagination {
    margin: 20px auto;
}
.woocommerce-Address-title.title .edit {
    padding: 2px 10px;
    border-radius: 5px;
    background: var(--color2);
    color: #fff;
}
.woocommerce-Address-title.title .edit:hover {
    background: var(--color1);
}
.woocommerce-Addresses .woocommerce-Address {
    padding: 0 !important;
    margin-top: 20px;
    margin-bottom: 20px;
    flex: 0 0 100%;
    max-width: 100%;
}
.woocommerce-ResetPassword,
#customer_login .woocommerce-form {
    border-radius: 5px;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 10px #22222217;
}
.woocommerce-ResetPassword p {
    float: none;
    width: 100% !important;
}
#customer_login .login_submit {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
#customer_login .login_submit label:before {
    display: none;
}
#customer_login #rememberme {
    display: inline-block;
    margin-left: 5px;
    position: relative;
    top: 2px;
}
#customer_login h2 {
    font-size: 16px;
    background: #f9f9f9;
    display: inline-block;
    color: #222;
    margin-bottom: 0;
    padding: 5px 15px;
    border-radius: 5px 5px 0 0;
    position: relative;
    z-index: 1;
    right: 15px;
}
#customer_login .u-column,
#customer_login .u-column1,
#customer_login .u-column2 {
    flex: 0 0 100%;
    max-width: 100%;
    padding: 0;
    margin: 0;
    margin-bottom: 20px;
}
.woocommerce-EditAccountForm fieldset p {
    width: 100%;
}
.woocommerce-EditAccountForm fieldset {
    padding: 25px;
    border-radius: 15px;
    margin-bottom: 25px;
    margin-top: 30px;
    border: 1px solid var(--color1);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.woocommerce-Address-title > a, .woocommerce-EditAccountForm fieldset legend {
    user-select: none;
    height: 38px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
    background: transparent;
    color: var(--color1);
    font-family: inherit;
    border-radius: 4px;
    z-index: 1;
    position: relative;
    transition: 0.3s;
    overflow: hidden;
    border: 1px solid var(--color1);
    min-width: 124px;
}
.woocommerce-Address-title.title h3 {
    margin-bottom: 0;
    font-size: 18px;
}
/* +++++++++ */
.woocommerce-orders-table__cell {
    display: flex;
    justify-content: space-between;
    align-items: center;
    line-height: 1;
    margin: 25px 0;
    font-weight: bold;
    color: var(--color1);
}
.woocommerce-orders-table__cell .woocommerce-button {
    height: 36px;
}
.woocommerce-MyAccount-orders .woocommerce-orders-table__cell .woocommerce-Price-amount {
    direction: ltr;
    color: var(--color2);
}
.order-icon {
    display: flex;
    align-items: center;
}
.order-icon i {
    font-size: 18px;
    margin-left: 14px;
}
.view-order-top {
    background: var(--color1);
    color: #fff;
    text-align: center;
    padding: 7px;
    margin-bottom: 20px;
    border-radius: 6px;
}
.order-details-total .col-12 > div, .order-details-total .col-md-3 > div {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    background: var(--color1);
    border-radius: 1rem;
    margin-bottom: 30px;
    padding: clamp(16px, 2vw, 24px);
    position: relative;
    & .woocommerce-Price-currencySymbol:before {
        color: white;
    }
}
.myaccount-order-details-item img {
    width: 90px;
    border-radius: 5px;
    margin: 0;
}
.woocommerce-table__product-total > span {
    display: inline-flex;
    align-items: center;
    margin-left: 14px;
    color: #888;
}
.woocommerce-table__product-total > span i {
    margin-left: 7px;
}
.woocommerce-table__product-total > span:nth-of-type(1) {
    margin-right: 25px;
}
section.woocommerce-customer-details,
.delivery-wrap,
.myaccount-order-details-product-w {
    border-radius: 1rem;
    margin-bottom: 30px;
    padding: clamp(16px, 2vw, 24px);
    position: relative;
    background: var(--nature2);
}
.order-details-attributes {
    display: none !important;
}
.order-details-total .col-md-3 > div .title::before {
    font-family: 'icomoon' !important;
    font-weight: normal;
    font-size: 20px;
    margin-left: 9px;
}
section.woocommerce-customer-details h2,
.delivery-wrap h2,
.myaccount-order-details-product-title {
    display: flex;
    align-items: center;
    padding: 12px;
    font-size: 16px;
    background: var(--color1);
    color: white;
    width: 100%;
    justify-content: center;
    border-radius: 1rem;
    position: relative;
    margin-bottom: 16px;
}
.myaccount-order-details-item bdi {
    color: #252525;
}
.myaccount-order-details-product-title i::before {
    color: var(--color1);
}
.myaccount-order-details-product-title i {
    font-size: 18px;
    margin-left: 12px;
}
.myaccount-order-details-item {
    display: flex;
    align-items: baseline;
    flex-wrap: wrap;
    gap: 10px;
    border-bottom: 1px solid var(--gray2);
    padding-bottom: 12px;
    margin-bottom: 12px;
}
.myaccount-order-details-item:nth-last-child(1) {
    border-bottom: none;
    padding-bottom: 0;
    margin-bottom: 0;
}
.myaccount-order-details-item .wc-item-meta {
    display: none;
}
.myaccount-order-details-item h3 {
    font-size: 17px;
    font-family: var(--main_font);
    padding-right: 8px;
    margin: 0;
}
.myaccount-order-details-item > p {
    display: none;
}
.myaccount_order_item_thumbnail {
    margin-bottom: 10px;
    background: #eef7fa;
    border-radius: 1rem;
}
.order-details-attributes {
    margin-right: 15px;
    display: flex;
    align-items: baseline;
    color: #000;
}
.product-total .variation {
    display: none;
}
.order-details-total {
    justify-content: center;
}
.cart_item-review_top .cart-attributes {
    width: 100%;
}
.woocommerce-order-details .woocommerce-order-details__title {
    display: none;
}
.order-details-total .col-md-3 > div .title {
    color: white;
    font-weight: bold;
    font-size: 15px;
    display: flex;
    align-items: center;
}
.order-details-total .col-md-3 > div .value {
    display: flex;
    align-items: center;
    line-height: 1;
    margin-top: 15px;
    font-weight: bold;
}
.order-details-total .col-md-3 > div .shipped_via {
    display: none;
}
.woocommerce-column--billing-address > div,
.woocommerce-column--shipping-address > div {
    color: #252525;
    height: 100%;
    background-color: #f7f7f7;
    border-radius: 1rem;
    padding: clamp(16px, 2vw, 24px);
    position: relative;
}
.woocommerce-column--billing-address > div p,
.woocommerce-column--shipping-address > div p {
    color: #252525;
    margin: 0;
}
.woocommerce-column--billing-address i,
.woocommerce-column--shipping-address i {
    margin-left: 10px;
    font-size: 19px;
}
.woocommerce-column--billing-address i::before,
.woocommerce-column--shipping-address i::before {
    color: var(--color2)
}
.woocommerce-customer-details .woocommerce-columns {
    display: flex;
    justify-content: space-between;
    margin: 30px -15px 0;
}
.woocommerce-customer-details .woocommerce-columns .woocommerce-column.col-2,
.woocommerce-customer-details .woocommerce-columns .woocommerce-column.col-1 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%;
}
.woocommerce-column--billing-address > div .woocommerce-column__title,
.woocommerce-column--shipping-address > div .woocommerce-column__title {
    display: flex !important;
    align-items: center;
    padding: 12px;
    font-size: 17px;
    margin-bottom: 5px;
    background: var(--color1);
    color: #fff;
    width: 100%;
    justify-content: center;
    border-radius: 12px;
    position: relative;
}
.delivery-wrap li {
    text-align: center;
    margin-bottom: 0 !important;
}
.delivery-wrap::before {
    content: '';
    width: 1px;
    background-color: #d2d2d2;
    height: calc(100% - 30px);
    position: absolute;
    left: 50%;
    bottom: 0;
    display: inline-block;
}
.delivery-wrap ul li span {
    font-weight: bold;
}
.delivery-wrap ul li strong i {
    font-size: 18px;
    margin-left: 12px;
    color: var(--color2);
}
.delivery-wrap ul li strong {
    display: flex;
    align-items: center;
    color: #888;
}
.delivery-wrap ul {
    color: var(--color1);
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 0 !important;
}
.woocommerce-cart-form-price-box .product-price ins {
    text-decoration: none;
    font-family: var(--Regular);
}
.woocommerce-cart-form-price-box .product-price > span:not(.on-sale),
.woocommerce-cart-form-price-box .product-subtotal > span:not(.on-sale) {
    color: var(--black);
}
ul.cart-attributes li {
    display: flex;
    align-items: center;
    margin: 0;
    font-size: 13px;
    line-height: 23px;
}
ul.cart-attributes li span {
    display: inline-flex;
    align-items: center;
    padding-left: 3px;
    color: #8C8C8C;
}
.woocommerce-cart-form__cart-item .variation {
    display: none;
}
.wc-proceed-to-checkout {
    /*    text-align: center;
        margin-top: clamp(16px, 2vw, 24px);
        justify-content: center !important;
        padding: 0 !important;*/
}
#ship-to-different-address label {
    position: unset;
    color: inherit !important;
    padding: 0 !important;
    margin: 0 !important;
    background: transparent;
}
.editor-content .woocommerce-shipping-fields input[type="text"]:focus,
.editor-content .woocommerce-billing-fields input[type="text"]:focus,
.editor-content .woocommerce-billing-fields input[type="tel"]:focus,
.editor-content .woocommerce-billing-fields input[type="email"]:focus,
.editor-content .woocommerce-additional-fields__field-wrapper textarea:focus {
    border-color: var(--color1);
}
.editor-content .woocommerce-shipping-fields label,
.editor-content .woocommerce-billing-fields label,
.editor-content .woocommerce-additional-fields__field-wrapper label {
    color: #666 !important;
    top: -8px;
    line-height: 1;
    font-size: 14px !important;
}
.required {
    margin-left: 5px;
    text-decoration: none;
    color: red;
}
.woocommerce-table.woocommerce-table--order-details.shop_table.order_details {
    border: none;
    border-radius: 0;
    padding: 0;
    margin: auto;
    color: var(--color2);
}
.woocommerce-checkout-review-order-table .woocommerce-shipping-totals > div {
    width: 100%;
}
.woocommerce-additional-fields {
    margin-top: 15px;
}
.wc-block-components-notice-banner {
    margin: 16px 15px !important;
}
.woocommerce-table__product-total.product-total {
    margin-right: auto;
    display: flex;
}
.woocommerce-checkout-review-order-table .cart-subtotal .woocommerce-Price-currencySymbol:before,
.woocommerce-checkout-review-order-table .order-total bdi .woocommerce-Price-currencySymbol:before {
    color: white;
}
.woocommerce-error strong {
    color: var(--danger);
}
.woocommerce-thankyou-order-details.order_details li {
    margin: 0;
    display: flex;
    align-items: center;
    flex: 1 0 0;
    white-space: nowrap;
    font-family: var(--Medium) !important;
    font-weight: bold;
}
.woocommerce-thankyou-order-details.order_details li strong {
    color: var(--gray4);
    font-size: 16px;
    margin-right: 10px;
    font-family: var(--Light) !important;
}
.woocommerce-order > .woocommerce-order-overview ~ p {
    display: none;
}
.woocommerce-thankyou-order-details.order_details li::before {
    font-family: 'icomoon' !important;
    margin-left: 5px;
}
.woocommerce-thankyou-order-received {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
}
.cart_item-review .product-total > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #888;
}
.cart_item-review .product-total > div > span bdi {
    color: #252525;
    padding-left: 10px;
}
.woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper #national-code_field {
    width: 100% !important;
}
.order_details li {
    width: 100%;
}
.order_details .total strong {
    direction: ltr;
}
.order_details .total {
    display: flex;
    align-items: baseline;
}
.order_details {
    border-radius: 5px;
    padding: 4px 30px;
    margin: 20px 0 30px !important;
}
#customer-type_field {
    display: flex;
}
#customer-type_field .woocommerce-input-wrapper {
    display: flex;
    align-items: center;
}
#delivery_day_field .woocommerce-input-wrapper label {
    margin-bottom: 8px;
    cursor: pointer;
    font-size: 12px;
    border: 1px solid transparent;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#delivery_day_field .woocommerce-input-wrapper input[type="radio"] {
    visibility: hidden;
    position: absolute
}
#delivery_day_field .woocommerce-input-wrapper input[type="radio"]:checked + label {
    color: var(--color1) !important;
    border-bottom: 2px solid var(--color1);
    font-family: var(--Regular);
}
#delivery_day_field input[type="radio"]:disabled, #delivery_time_field input[type="radio"]:disabled, #delivery_time_field input[type="radio"]:disabled + label, #delivery_day_field input[type="radio"]:disabled + label {
    opacity: .5;
    -webkit-filter: grayscale(1);
    filter: grayscale(1);
    cursor: wait
}
#delivery_day_field .woocommerce-input-wrapper {
    display: flex;
    gap: 8px;
    overflow-x: auto;
    white-space: nowrap;
    scrollbar-width: none;
    -ms-overflow-style: none;
}
#delivery_day_field .woocommerce-input-wrapper::-webkit-scrollbar {
    display: none;
}
#delivery_day_field {
    padding: 0 1rem;
    border-bottom: 1px solid #e1e1e1;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /*overflow-x: auto;*/
    /*white-space: nowrap*/
    width: 100% !important;
}
#delivery_time_field > label, #delivery_day_field > label {
    display: none !important
}
#delivery_time_field {
    padding: 0rem 1rem;
}
#delivery_time_field .woocommerce-input-wrapper label {
    display: inline-block;
    margin-bottom: 0.5rem;
    width: calc(100% - 16px - 1rem);
    font-size: 16px);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}
#delivery_time_field input[type="radio"]:checked {
    border: 1px solid var(--color1) !important;
    box-sizing: border-box !important;
    background: var(--color1) !important;
    box-shadow: inset 0 0 0 3px #fff !important;
}
#delivery_time_field input[type="radio"] {
    height: 16px;
    width: 16px;
    border-radius: 50%;
    -moz-appearance: none;
    appearance: none;
    -webkit-appearance: none;
    outline: none;
    cursor: pointer;
    border: 1px solid var(--color1);
    margin-left: 7px;
    vertical-align: middle;
}
#invoice-extra-fields {
    display: none;
}
/* *************** responsive *** */
@media screen and (min-width: 768px) {
    .form-row.form-row-first {
        display: block;
        width: 48%;
    }
    .checkout.woocommerce-checkout #customer_details #customer-type_field {
        width: 100%;
    }
}
@media screen and (min-width: 992px) {
    .woocommerce-EditAccountForm fieldset p:nth-of-type(1),
    .woocommerce-EditAccountForm fieldset p:nth-of-type(2) {
        width: 100%;
    }
}
@media screen and (min-width: 1200px) {
}
@media screen and (min-width: 768px) {
    .woocommerce-Address-title.title h3 {
        margin-bottom: 0 !important;
    }
    .woocommerce-Addresses .woocommerce-Address {
        flex: 0 0 48%;
        max-width: 48%;
        margin-bottom: 20px;
    }
    #customer_login,
    .woocommerce-Addresses,
    .woocommerce-account.logged-in .woocommerce {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    #customer_login .u-column,
    #customer_login .u-column1,
    #customer_login .u-column2 {
        flex: 0 0 48%;
        max-width: 48%;
    }
    .woocommerce-MyAccount-navigation {
        flex: 0 0 25%;
        max-width: 25%;
    }
    .woocommerce-MyAccount-content {
        flex: 0 0 73%;
        max-width: 73%;
    }
}
@media screen and (min-width: 1200px) {
    .myaccount_order_item_thumbnail {
        margin-bottom: 0;
    }
    .woocommerce-cart-form-price-box {
        flex: 0 0 40%;
    }
}
@media screen and (min-width: 1400px) {
    .woocommerce-cart-form-price-box {
        flex: 0 0 30%;
    }
}
@media screen and (max-width: 1200px) {
    .woocommerce-cart-form .cart-attributes {
        font-size: 13px;
    }
    .woocommerce-cart-form-price-box {
        font-size: 12px;
    }
    .woocommerce-cart-form {
        padding: 12px;
    }
    .product-item-title {
        font-size: 16px !important;
        margin-bottom: 10px !important;
        line-height: 1.6;
    }
    .woocommerce-cart-form-price-box {
        margin-top: 15px;
    }
}
@media screen and (max-width: 992px) {
    .order-details-attributes {
        margin-right: 0;
        width: 100%;
    }
    .woocommerce-table__product-total > span:nth-of-type(1) {
        margin-right: 0;
    }
    .myaccount-order-details-item .product-total {
        width: 100%;
    }
    .myaccount-order-details-product-w {
        padding: 0 12px;
    }
    .myaccount-order-details-item h3 {
        font-size: 14px;
    }
    form.woocommerce-cart-form {
        margin-bottom: 28px;
    }
    .woocommerce-MyAccount-navigation {
        padding: 5px 15px;
    }
    .woocommerce-MyAccount-navigation a {
        font-size: 15px;
        padding: 5px 20px;
    }
    .woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link {
        margin: 17px 0;
    }
    .woocommerce-MyAccount-navigation {
        position: unset;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .woocommerce-MyAccount-content {
        flex: 0 0 100%;
        max-width: 100%;
    }
}
@media screen and (max-width: 768px) {
    .myaccount-order-details-item {
        padding: 18px 0;
    }
    .prd-cart-rc {
        margin-top: 15px;
    }
    .cart-empty-top-link a {
        padding: 5px 8px;
        font-size: 13px;
    }
    .cart-empty-page-top {
        margin: 30px auto;
        padding: 3px 15px 14px 15px;
        border-radius: 7px;
    }
    .cart-empty-page-bottom {
        margin-top: 30px;
    }
    .cart-empty-top-sub {
        font-size: 17px;
        margin: 22px 0 6px 0;
    }
    .cart-empty-page-top > img {
        margin: 30px auto 15px auto;
        max-width: 115px;
    }
    .woocommerce-customer-details .woocommerce-columns {
        flex-wrap: wrap;
    }
    .woocommerce-column--billing-address > div, .woocommerce-column--shipping-address > div {
        padding: 20px 15px 13px 15px;
        height: auto;
        margin-bottom: 30px;
    }
    .woocommerce-customer-details .woocommerce-columns .woocommerce-column.col-2,
    .woocommerce-customer-details .woocommerce-columns .woocommerce-column.col-1 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .order-details-total .col-12 > div,
    .order-details-total .col-md-3 > div {
        height: auto;
        padding: 10px 10px 16px 10px;
        margin-bottom: 15px;
    }
    .delivery-wrap ul li {
        margin: 15px 0 !important;
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .delivery-wrap::before {
        width: calc(100% - 30px);
        height: 1px;
        left: 50%;
        top: 50%;
        transform: translateY(-50%) translateX(-50%);
    }
    .delivery-wrap ul {
        flex-direction: column;
    }
}
@media screen and (max-width: 576px) {
    .cart_item-review_top h3 {
        line-height: 1.6;
        font-size: 14px;
        margin: 10px 0;
    }
    .woocommerce-checkout-review-order-table #shipping_method {
        flex-direction: column;
        margin: 0;
        font-size: 13px;
    }
    .woocommerce-checkout-review-order-table #shipping_method li {
        margin: 3px 0;
    }
    .product-thumbnail-w {
        display: flex;
        margin: 0;
        justify-content: center;
        align-content: center;
        align-self: flex-start;
    }
    .woocommerce-Address-title.title .edit {
        min-width: 85px;
    }
    .cart-item-info {
        flex: 0 0 68%;
    }
    .woocommerce-cart-form-price-box {
        margin: 0;
        width: 100%;
        flex: 0 0 100% !important;
    }
}
.login-notice-wrap {
    background: var(--color3);
    border-radius: 24px;
    padding: clamp(8px, 2vw, 16px) clamp(8px, 2vw, 16px) 16px;
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
}
.woocommerce-cart-form-price-box .product-price > ins::before,
.woocommerce-cart-form-price-box .product-price > .woocommerce-Price-amount::after {
    content: 'قیمت';
    color: var(--gray3);
}
